package fr.uca.iut.urbandictionarylight.data.entry

import androidx.lifecycle.LiveData
import androidx.room.*
import fr.uca.iut.urbandictionarylight.model.EntryWithDefinitions


@Dao
interface EntryDao {
    @Query("SELECT * FROM entries")
    fun queryAll(): LiveData<List<EntryWithDefinitions>>

    @Query("SELECT * FROM entries WHERE id = :id")
    fun query(id: Long): LiveData<EntryWithDefinitions>

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insert(entry: EntryWithDefinitions)

    @Update
    suspend fun update(entry: EntryWithDefinitions)

    @Delete
    suspend fun delete(entry: EntryWithDefinitions)
}